Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.module
Class PKCS11Principal

    java.lang.Object
      com.ibm.crypto.pkcs11impl.module.PKCS11Principal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

Deprecated.

    public class PKCS11Principal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

This class implements the `Principal` interface and represents the name of a PKCS11 library and session into which the user authenticated.

Principals such as this `PKCS11Principal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this.

See Also:
  `Principal`, `Subject`, Serialized Form

Constructor Summary
`PKCS11Principal(java.lang.String name, com.ibm.crypto.pkcs11impl.provider.SessionManager manager)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object o)` Deprecated.
`java.lang.String` | `getName()` Deprecated.
`com.ibm.crypto.pkcs11impl.provider.SessionManager` | `getSessionManager()` Deprecated.
`int` | `hashCode()` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKCS11Principal

    public PKCS11Principal(java.lang.String name,
                           com.ibm.crypto.pkcs11impl.provider.SessionManager manager)

  Deprecated.

  Create an `PKCS11Principal` with PKCS11 library name and session.

  Parameters:
    `name` - the path and name of PKCS11 library.

    `sess` - the PKCS11 session based on the PKCS11 library.

Method Detail

### getSessionManager

    public com.ibm.crypto.pkcs11impl.provider.SessionManager getSessionManager()

  Deprecated.

  Return the PKCS11 session handle for this `PKCS11Principal`.

  Returns:
    the PKCS11 session handle for this `PKCS11Principal`

### getName

    public java.lang.String getName()

  Deprecated.

  Return the PKCS11 library name for this `PKCS11Principal`.

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    the PKCS11 session handle for this `PKCS11\Principal`

### toString

    public java.lang.String toString()

  Deprecated.

  Return a string representation of this `PKCS11Principal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `PKCS11Principal`.

### equals

    public boolean equals(java.lang.Object o)

  Deprecated.

  Compares the specified Object with this `PKCS11Principal` for equality. Returns true if the given object is also a `PKCS11Principal` and the two PKCS11Principals have the same dll name and session handle.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `PKCS11Principal`.
  Returns:
    true if the specified Object is equal equal to this `PKCS11Principal`.

### hashCode

    public int hashCode()

  Deprecated.

  Return a hash code for this `PKCS11Principal`.

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `PKCS11Principal`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD